      *********************************************************
      ***                                                   ***
      ***  MVSCATLG.CPY - THIS IS THE COPYBOOK TO DEFINE    ***
      ***                 THE RECORDS IN THE SYSTEM AND     ***
      ***                 USER CATALOGS.                    ***
      ***                                                   ***
      ***  NOTE:  ALL PIC X(04) COMP-X FIELDS NEED TO       ***
      ***         BE ALIGNED ON FULLWORD BOUNDARIES         ***
      ***         ALL PIC X(02) COMP-X FIELDS NEED TO       ***
      ***         BE ALIGNED ON HALFWORD BOUNDARIES         ***
      ***                                                   ***
      ***  MM/DD/YY   AUTHOR  PURPOSE                       ***
      ***  --------   ------- ----------------------------- ***
      ***  05/13/97   DMF     INITIAL LAYOUT                ***
      ***  03/01/98   DMF     ADDED LOCKING USERID AND      ***
      ***                     VARIOUS 78 LEVELS.            ***
      ***  06/02/98   DMF     ADDED VSAM REU, KEY-OFFSET    ***
      ***                     AND KEY-LENGTH FIELDS.        ***
      ***  12/29/98   DMF     ADDED CODE TO SUPPORT MFA     ***
      ***                     GDG'S                         ***
      ***  12/29/98   DMF     ADDED CODE TO SUPPORT MFA     ***
      ***                     GDG'S                         ***
      ***  05/15/01   DMF     ADDED CODE to SUPPORT DATACLAS***
      ***  06/29/01   CP      ADDED CODE for HOST_DISP      ***
      ***                     HOST_NEW processing           ***
      ***  09/24/01   DMF     ADDED CODE for RPI 1023011    ***
      ***  02/28/05   DSA     Merge PL/I unique names etc.  ***
      *********************************************************
        03 (TAG)-CAT-REC.
            05  (TAG)-DSN.
                10  (TAG)-DSNAME             PIC  X(44).
                10  (TAG)-MEMBER             PIC  X(08).
                10                           redefines (TAG)-MEMBER.
                    15 (TAG)-gdg-bias-number pic s9(4) comp.
                    15 (TAG)-gdg-bias        pic x(1).
            05  (TAG)-PC-DSN                 PIC  X(260).
            05  (TAG)-CATALOGED              PIC  X(01).
                78  CAT-TYPE-SPOOL           VALUE 'S'.
                78  CAT-TYPE-CATALOGED       VALUE '1'.
                78  CAT-TYPE-DATACLAS        VALUE 'D'.
                78  CAT-TYPE-UNCATALOGED     VALUE '0'.
pw-146          88  (TAG)-CAT-TYPE-SPOOL-88  VALUE CAT-TYPE-SPOOL.
pw-146          88  (TAG)-CAT-TYPE-CATALOGED-88
pw-146                                       VALUE CAT-TYPE-CATALOGED.
pw-146          88  (TAG)-CAT-TYPE-UNCATALOGED-88
pw-146                                       VALUE CAT-TYPE-UNCATALOGED.
pw-146          88  (TAG)-CAT-TYPE-DATACLAS-88
pw-146                                       VALUE CAT-TYPE-DATACLAS.
            05  (TAG)-VOLUME                 PIC  X(06).
            05  (TAG)-RECFM                  PIC  X(04).
                78 VSAM-KEYED                VALUE 'KS'.
                78 VSAM-ENTRY-SEQUENCED      VALUE 'ES'.
                78 VSAM-RELATIVE-RECORD      VALUE 'RR'.
536482          78 VSAM-LINEAR-SEQUENCED     VALUE 'LS'.
                78 RECFM-F                   VALUE 'F'.
                78 RECFM-FA                  VALUE 'FA'.
                78 RECFM-FB                  VALUE 'FB'.
                78 RECFM-FBA                 VALUE 'FBA'.
                78 RECFM-FBM                 VALUE 'FBM'.
                78 RECFM-FBS                 VALUE 'FBS'.
                78 RECFM-FM                  VALUE 'FM'.
                78 RECFM-FS                  VALUE 'FS'.
                78 RECFM-LSEQ                VALUE 'LSEQ'.
                78 RECFM-U                   VALUE 'U'.
                78 RECFM-V                   VALUE 'V'.
                78 RECFM-VA                  VALUE 'VA'.
                78 RECFM-VB                  VALUE 'VB'.
                78 RECFM-VBA                 VALUE 'VBA'.
                78 RECFM-VBM                 VALUE 'VBM'.
                78 RECFM-VBS                 VALUE 'VBS'.
                78 RECFM-VM                  VALUE 'VM'.
                78 RECFM-VS                  VALUE 'VS'.
pw-146          88  (TAG)-VSAM-KEYED-88      VALUE VSAM-KEYED.
pw-146          88  (TAG)-VSAM-ENTRY-SEQUENCED-88
pw-146                                       VALUE VSAM-ENTRY-SEQUENCED.
536482          88  (TAG)-VSAM-LINEAR-SEQUENCED-88
536482                                      VALUE VSAM-LINEAR-SEQUENCED.
pw-146          88  (TAG)-VSAM-RELATIVE-RECORD-88
pw-146                                       VALUE VSAM-RELATIVE-RECORD.
df-001          88  (TAG)-RECFM-F-88         VALUE RECFM-F.
df-001          88  (TAG)-RECFM-FA-88        VALUE RECFM-FA.
df-001          88  (TAG)-RECFM-FB-88        VALUE RECFM-FB.
df-001          88  (TAG)-RECFM-FBA-88       VALUE RECFM-FBA.
df-001          88  (TAG)-RECFM-FBM-88       VALUE RECFM-FBM.
df-001          88  (TAG)-RECFM-FBS-88       VALUE RECFM-FBS.
df-001          88  (TAG)-RECFM-FM-88        VALUE RECFM-FM.
df-001          88  (TAG)-RECFM-FS-88        VALUE RECFM-FS.
df-001          88  (TAG)-RECFM-LSEQ-88      VALUE RECFM-LSEQ.
df-001          88  (TAG)-RECFM-U-88         VALUE RECFM-U.
df-001          88  (TAG)-RECFM-V-88         VALUE RECFM-V.
df-001          88  (TAG)-RECFM-VA-88        VALUE RECFM-VA.
df-001          88  (TAG)-RECFM-VB-88        VALUE RECFM-VB.
df-001          88  (TAG)-RECFM-VBA-88       VALUE RECFM-VBA.
df-001          88  (TAG)-RECFM-VBM-88       VALUE RECFM-VBM.
df-001          88  (TAG)-RECFM-VBS-88       VALUE RECFM-VBS.
df-001          88  (TAG)-RECFM-VM-88        VALUE RECFM-VM.
df-001          88  (TAG)-RECFM-VS-88        VALUE RECFM-VS.
            05  (TAG)-DSORG                  PIC  X(04).
                78  DSORG-PDSM               VALUE 'PDSM'.
                78  DSORG-PO                 VALUE 'PO  '.
                78  DSORG-PS                 VALUE 'PS  '.
                78  DSORG-VSAM               VALUE 'VSAM'.
jes-11          78  DSORG-GDG                VALUE 'GDG '.
536482          78  DSORG-IS                 VALUE 'IS  '.
jes-09          88  (TAG)-DSORG-PDSM-88      VALUE DSORG-PDSM.
jes-09          88  (TAG)-DSORG-PO-88        VALUE DSORG-PO.
jes-09          88  (TAG)-DSORG-PS-88        VALUE DSORG-PS.
pw-146          88  (TAG)-DSORG-VSAM-88      VALUE 'VSAM'.
jes-11          88  (TAG)-DSORG-GDG-88       VALUE DSORG-GDG.
536482          88  (TAG)-DSORG-IS-88        VALUE DSORG-IS.
            05  (TAG)-CHARSET                PIC  X(01).
                78  (TAG)-CHARSET-EBCDIC     VALUE 'E'.
                78  (TAG)-CHARSET-ASCII      VALUE 'A'.
                78  (TAG)-CHARSET-UNKNOWN    VALUE '?'.
pw-146          88  (TAG)-CHARSET-EBCDIC-88
pw-146                                 VALUE (TAG)-CHARSET-EBCDIC.
pw-146          88  (TAG)-CHARSET-ASCII-88
pw-146                                 VALUE (TAG)-CHARSET-ASCII.
pw-146          88  (TAG)-CHARSET-UNKNOWN-88
pw-146                                 VALUE (TAG)-CHARSET-UNKNOWN.
            05  (TAG)-EXPDT                  PIC  9(08).
            05  (TAG)-SPACE-UNIT             PIC  X(04).
            05  (TAG)-CREATE-DATE            PIC  9(08).
            05  (TAG)-CHG-DATE               PIC  9(08).
            05  (TAG)-CHG-TIME               PIC  X(08).
            05  (TAG)-COMPILE-DATE           PIC  9(08).
            05  (TAG)-COMPILE-TIME           PIC  X(08).
            05  (TAG)-DEFAULT-EXT            PIC  X(03).
            05  (TAG)-JOB-CREATED            PIC  X(08).
            05  (TAG)-JOB-USED               PIC  X(08).
            05  (TAG)-TIME-CREATED           PIC  9(08).
            05  (TAG)-GDG-MAX                PIC  9(02).
            05  (TAG)-EXTENDED-TYPE          PIC  X(01).
                78    VSAM-CLUSTER           VALUE 'C'.
                78    VSAM-INDEX             VALUE 'I'.
                78    VSAM-DATA              VALUE 'D'.
                78    VSAM-AIX               VALUE 'A'.
                78    VSAM-PATH              VALUE 'P'.
                78    DSCB-MODEL             VALUE 'M'.
pw-147          88  (TAG)-VSAM-CLUSTER-88    VALUE VSAM-CLUSTER.
pw-147          88  (TAG)-VSAM-INDEX-88      VALUE VSAM-INDEX.
pw-147          88  (TAG)-VSAM-DATA-88       VALUE VSAM-DATA.
pw-147          88  (TAG)-VSAM-AIX-88        VALUE VSAM-AIX.
pw-147          88  (TAG)-VSAM-PATH-88       VALUE VSAM-PATH.
pw-147          88  (TAG)-DSCB-MODEL-88      VALUE DSCB-MODEL.

            05  (TAG)-LOCK-USERID            PIC  X(08).
            05  (TAG)-VSAM-REU               PIC  X(01).
                78    VSAM-REUSABLE          VALUE '1'.
                78    VSAM-NONREUSABLE       VALUE '0'.
pw-147*pw-146          88  (TAG)-VSAM-CLUSTER-88    VALUE VSAM-CLUSTER.
pw-147*pw-146          88  (TAG)-VSAM-INDEX-88      VALUE VSAM-INDEX.
pw-147*pw-146          88  (TAG)-VSAM-DATA-88       VALUE VSAM-DATA.
pw-147*pw-146          88  (TAG)-VSAM-AIX-88        VALUE VSAM-AIX.
pw-147*pw-146          88  (TAG)-VSAM-PATH-88       VALUE VSAM-PATH.
pw-147*pw-146          88  (TAG)-DSCB-MODEL-88      VALUE DSCB-MODEL.
pw-146          88  (TAG)-VSAM-REUSABLE-88   VALUE VSAM-REUSABLE.
pw-146          88  (TAG)-VSAM-NONREUSABLE-88
pw-146                                       VALUE VSAM-NONREUSABLE.
            05  (TAG)-VSAM-AIX-UNQK PIC  X(01).
                78  VSAM-AIX-UNIQUEKEY       VALUE '1'.
                78  VSAM-AIX-NONUNIQUEKEY    VALUE '0'.
pw-146          88  (TAG)-VSAM-AIX-UNIQUEKEY-88
pw-146                                 VALUE VSAM-AIX-UNIQUEKEY.
pw-146          88  (TAG)-VSAM-AIX-NONUNIQUEKEY-88
pw-146                                 VALUE VSAM-AIX-NONUNIQUEKEY.
pw-146      05  (TAG)-FILE-FORMAT            PIC  X(01)  COMP-X.
pw-146          78  78-FILE-FORMAT-UNKNOWN       VALUE 0.
pw-146          78  78-FILE-FORMAT-IDXFORMAT4    VALUE 4.
pw-146          78  78-FILE-FORMAT-IDXFORMAT8    VALUE 8.
pw-146          88  FILE-FORMAT-UNKNOWN-88
pw-146                                 VALUE 78-FILE-FORMAT-UNKNOWN.
pw-146          88  FILE-FORMAT-IDXFORMAT4-88
pw-146                                 VALUE 78-FILE-FORMAT-IDXFORMAT4.
pw-146          88  FILE-FORMAT-IDXFORMAT8-88
pw-146                                 VALUE 78-FILE-FORMAT-IDXFORMAT8.
jes-09          88  (TAG)-FILE-FORMAT-UNKNOWN-88
jes-09                                 VALUE 78-FILE-FORMAT-UNKNOWN.
jes-09          88  (TAG)-FILE-FORMAT-IDXFORM4-88
jes-09                                 VALUE 78-FILE-FORMAT-IDXFORMAT4.
jes-09          88  (TAG)-FILE-FORMAT-IDXFORM8-88
jes-09                                 VALUE 78-FILE-FORMAT-IDXFORMAT8.
            05  (TAG)-RETURN-REL-PATH        PIC  X.
pw-146      05  FILLER                       PIC  X(04).
pw-146      05  (TAG)-GDG-EMPTY-COUNT        PIC  99.
            05  (TAG)-VSAM-KEY-OFFSET        PIC  X(04)  COMP-X.
            05  (TAG)-VSAM-KEY-LENGTH        PIC  X(04)  COMP-X.
                *>  This field is only valid in a GDG Model and will
                *>  Contain the current bias as far as the GDG Model
                *>  is concerned.  This will be the starting point for
                *>  building up the GDG Index for relative bias resolution
                *>  and is needed to handle the situation where a GDG
                *>  rolls over form 9999->0001
            05  (TAG)-GDG-CURR-BIAS redefines (TAG)-VSAM-KEY-LENGTH
                                             PIC  X(04)  COMP-X.                             
            05  (TAG)-GDG-ROLL-DISP          PIC  X(04)  COMP-X.
                78 GDG-ROLL-DISP-NSCR-NEMP   VALUE 0.
                78 GDG-ROLL-DISP-SCR-NEMP    VALUE 1.
                78 GDG-ROLL-DISP-SCR-EMP     VALUE 2.
                78 GDG-ROLL-DISP-NSCR-EMP    VALUE 3.
      *
                78 GDG-ROLL-DISP-PURGE       VALUE 0.
                78 GDG-ROLL-DISP-SCRATCH     VALUE 1.
pw-146          88  (TAG)-GDG-ROLL-DISP-SCRATCH-88
pw-146                                 VALUE GDG-ROLL-DISP-SCRATCH.
pw-146          88  (TAG)-GDG-ROLL-DISP-PURGE-88
pw-146                                 VALUE GDG-ROLL-DISP-PURGE.
PW-146          88  (TAG)-GDG-ROLL-DISP-SCR-EMP-88
PW-146                              VALUE GDG-ROLL-DISP-SCR-EMP.
            05  (TAG)-STRUCT-OFFSET          PIC  X(04)  COMP-X.
            05  (TAG)-STRUCT-LEN             PIC  X(04)  COMP-X.
            05  (TAG)-DATACLAS               PIC  X(08).
      *     05  (TAG)-FILE-DESC-OFFSET       PIC  X(04)  COMP-X.
      *     05  (TAG)-FILE-DESC-LEN          PIC  X(04)  COMP-X.
            05  (TAG)-BLKSIZE                PIC  X(02)  COMP-X.
            05  (TAG)-SPACE-DIR-BLKS         PIC  X(02)  COMP-X.
            05  (TAG)-SPACE-INIT-UNITS       PIC  X(02)  COMP-X.
            05  (TAG)-SPACE-EXTENT-UNITS     PIC  X(02)  COMP-X.
            05  (TAG)-VERSION                PIC  X(02)  COMP-X.
            05  (TAG)-SCCS-TYPE              PIC  X(02)  COMP-X.
                78 SCCS-TYPE-PC-DIRECTORY    VALUE 1.
                78 SCCS-TYPE-MVS-PDS         VALUE 2.
                78 SCCS-TYPE-MVS-PANVALET    VALUE 3.
                78 SCCS-TYPE-MVS-ENDEVOR     VALUE 4.
                78 SCCS-TYPE-MVS-LIBRARIAN   VALUE 5.
                78 SCCS-TYPE-PC-PVCS         VALUE 6.
                78 SCCS-TYPE-CCCLCM          VALUE 7.
                78 SCCS-TYPE-CHANGEMAN       VALUE 8.
                78 SCCS-TYPE-ASSERT-NEW      VALUE 9.
                78 SCCS-TYPE-DYNAMIC-PDS     VALUE 10.
      *         sevice pack change Anico host-disp
                78 SCCS-TYPE-HOST-RETAINED   VALUE 49.
                78 SCCS-TYPE-IHS             VALUE 98.
                78 SCCS-TYPE-UNKNOWN         VALUE 99.
                78 MFA-DATACONNECT-DATASET   VALUE 100.
                78 MFA-DATACONNECT-DATASET-MAX VALUE 356.
                78 MFA-ALREADY-RECALLED      VALUE 400.
pw-146*         88  (TAG)-SCCS-TYPE-PC-DIRECTORY-88
pw-146          88  (TAG)-SCCS-TYPE-PC-DIRECTORY88
pw-146                                 VALUE SCCS-TYPE-PC-DIRECTORY.
pw-146          88  (TAG)-SCCS-TYPE-MVS-PDS-88
pw-146                                 VALUE SCCS-TYPE-MVS-PDS.
pw-146*         88  (TAG)-SCCS-TYPE-MVS-PANVALET-88
pw-146          88  (TAG)-SCCS-TYPE-MVS-PANVALET88
pw-146                                 VALUE SCCS-TYPE-MVS-PANVALET.
pw-146          88  (TAG)-SCCS-TYPE-MVS-ENDEVOR-88
pw-146                                 VALUE SCCS-TYPE-MVS-ENDEVOR.
pw-146          88  (TAG)-SCCS-TYPE-MVS-LIBR-88
pw-146                                 VALUE SCCS-TYPE-MVS-LIBRARIAN.
pw-146          88  (TAG)-SCCS-TYPE-PC-PVCS-88
pw-146                                 VALUE SCCS-TYPE-PC-PVCS.
pw-146          88  (TAG)-SCCS-TYPE-CCCLCM-88
pw-146                                 VALUE SCCS-TYPE-CCCLCM.
pw-146          88  (TAG)-SCCS-TYPE-CHANGEMAN-88
pw-146                                 VALUE SCCS-TYPE-CHANGEMAN.
df-002          88  (TAG)-SCCS-TYPE-DYNAMIC-PDS-88
df-002                                 value SCCS-TYPE-DYNAMIC-PDS.
pw-146          88  (TAG)-SCCS-TYPE-IHS-88
pw-146                                 VALUE SCCS-TYPE-IHS.
pw-146          88  (TAG)-SCCS-TYPE-UNKNOWN-88
pw-146                                 VALUE SCCS-TYPE-UNKNOWN.
pw-146          88  (TAG)-MFA-DATACNCT-DATASET-88
pw-146                                 VALUE MFA-DATACONNECT-DATASET.
pw-146          88  (TAG)-MFA-DATACNCT-DS-MAX-88
pw-146                             VALUE MFA-DATACONNECT-DATASET-MAX.
pw-146          88  (TAG)-MFA-ALREADY-RECALLED-88
pw-146                                       VALUE MFA-ALREADY-RECALLED.
            05  (TAG)-LRECL                  PIC  X(02)  COMP-X.
            05  (TAG)-LRECL-MAX              PIC  X(02)  COMP-X.
            05  (TAG)-LRECL-MIN              PIC  X(02)  COMP-X.
            05  (TAG)-VAR-LEN                PIC  X(02)  COMP-X.
        03 (TAG)-CTRL-REC REDEFINES (TAG)-CAT-REC.
           05  FILLER                        PIC  X(312).
            05  (TAG)-CTRL-DATA.
                10 (TAG)-CAT-VERSION         PIC  X(20).
                10 (TAG)-ALLC-SNUM           PIC  9(07).
            05  (TAG)-REL-PATH-IND           PIC  X.
        03 (TAG)-VARIABLE                    PIC  X(01)
                                OCCURS 0 TO 10000 TIMES DEPENDING
                                ON (TAG)-VAR-LEN.

       78 (TAG)-func-add                     value 'ADD '.
       78 (TAG)-func-allc                    value 'ALLC'.
       78 (TAG)-func-allj                    value 'ALLJ'.
       78 (TAG)-func-lock                    value 'LOCK'.
       78 (TAG)-func-unlr                    value 'UNLR'.
       78 (TAG)-func-unlk                    value 'UNLK'.
       78 (TAG)-func-open                    value 'OPEN'.
       78 (TAG)-func-opio                    value 'OPIO'.
       78 (TAG)-func-clos                    value 'CLOS'.
       78 (TAG)-func-stn-lt                  value 'STN<'.
       78 (TAG)-func-stn-gt                  value 'STN>'.
       78 (TAG)-func-dlet                    value 'DLET'.
       78 (TAG)-func-dlej                    value 'DLEJ'.
       78 (TAG)-func-purg                    value 'PURG'.
       78 (TAG)-func-purj                    value 'PURJ'.
       78 (TAG)-func-repl                    value 'REPL'.
       78 (TAG)-func-repj                    value 'REPJ'.
       78 (TAG)-func-ren                     value 'REN '.
       78 (TAG)-func-isrt                    value 'ISRT'.
       78 (TAG)-func-gu                      value 'GU  '.
       78 (TAG)-func-gn                      value 'GN  '.
       78 (TAG)-func-gp                      value 'GP  '.
       78 (TAG)-func-gupc                    value 'GUPC'.
       78 (TAG)-gdg-func-resl                value 'RESL'.
       78 (TAG)-gdg-func-endj                value 'ENDJ'.
       78 (TAG)-gdg-func-ends                value 'ENDS'.
       78 (TAG)-gdg-func-high                value 'HIGH'.
       78 (TAG)-retc-allc-ok                value  0.
       78 (TAG)-retc-allc-ok-user-cat       value  4.
       78 (TAG)-retc-allc-exist-syscat      value  8.
       78 (TAG)-retc-allc-exist-usrcat      value 12.
       78 (TAG)-retc-allc-no-fab            value 16.
       78 (TAG)-retc-allc-badreq            value 20.

       78 (TAG)-retc-purg-ok                value  0.
       78 (TAG)-retc-purg-ok-user-cat       value  4.
       78 (TAG)-retc-purg-ok-pds-deleted    value  8.
       78 (TAG)-retc-purg-not-found         value 12.

       78 (TAG)-retc-dlet-ok                value  0.
       78 (TAG)-retc-dlet-ok-user-cat       value  4.
       78 (TAG)-retc-dlet-ok-pds-deleted    value  8.
       78 (TAG)-retc-dlet-not-found         value 12.
       78 (TAG)-retc-dlet-ok-no-pc-file     value 16.

       78 (TAG)-retc-repl-ok                value  0.
       78 (TAG)-retc-repl-ok-in-user-cat    value  4.
       78 (TAG)-retc-repl-rec-notfnd-sys    value  8.
       78 (TAG)-retc-repl-rec-notfnd-usr    value 12.
       78 (TAG)-retc-repl-edit-failed       value 20.
       78 (TAG)-retc-gu-fnd                 value  0.
       78 (TAG)-retc-gu-fnd-in-master       value  4.
       78 (TAG)-retc-gu-not-fnd             value 16.
          *>    the above retc's apply to func_lock also

       78 (TAG)-retc-ren-ok                 value  0.

       78 (TAG)-retc-gdg-bias-ok-in-cat     value  0.
       78 (TAG)-retc-gdg-bias-ok-not-fnd    value  4.
       78 (TAG)-retc-gdg-bias-ok-not-cat    value  8.
       78 (TAG)-retc-gdg-bias-invalid       value 12.
       78 (TAG)-retc-gdg-no-model           value 16.
       78 (TAG)-retc-gdg-enq-timeout        value 50.

       78 (TAG)-retc-lock-ok                value  0.
       78 (TAG)-retc-lock-lock              value 16.
       78 (TAG)-retc-lock-timeout           value 24.
          *>    the above retc applies to
          *>    REN, DLET, DLEJ, PURG, PURJ, ISRT, and REPL

       78 (TAG)-retc-unlk-ok                value  0.
       78 (TAG)-retc-unlk-lock              value 16.

       78 (TAG)-retc-unlr-ok                value  0.
       78 (TAG)-retc-unlr-lock              value 16.

       78 (TAG)-extended-type-cluster       value 'C'.
       78 (TAG)-extended-type-index         value 'I'.
       78 (TAG)-extended-type-data          value 'D'.
       78 (TAG)-extended-type-aix           value 'A'.
       78 (TAG)-extended-type-path          value 'P'.
       78 (TAG)-extended-type-dscb-model    value 'M'.
       78 (TAG)-sccs-type-pc-directory      value 1.
       78 (TAG)-sccs-type-mvs-pds           value 2.
       78 (TAG)-sccs-type-mvs-panvalet      value 3.
       78 (TAG)-sccs-type-mvs-endevor       value 4.
       78 (TAG)-sccs-type-mvs-librarian     value 5.
       78 (TAG)-sccs-type-pc-pvcs           value 6.
       78 (TAG)-sccs-type-ccclcm            value 7.
       78 (TAG)-sccs-type-changeman         value 8.
       78 (TAG)-sccs-type-assert-new        value 9.
       78 (TAG)-sccs-type-host-retained     value 49.
       78 (TAG)-sccs-type-ihs               value 98.
       78 (TAG)-sccs-type-unknown           value 99.
       78 (TAG)-sccs-type-mfa-dc-ds         value 100.
       78 (TAG)-sccs-type-mfa-dc-ds-max     value 356.
       78 (TAG)-sccs-type-mfa-recalled      value 400.
