      ************************************************************************
      * Copyright (C) 1994-1999 Micro Focus International All rights reserved.
      *  
      * This demonstration program is provided for use by users of 
      * Micro Focus products (the "Software") and may be used, 
      * modified and distributed as part of your application provided 
      * that you properly acknowledge the copyright of Micro Focus in this
      * material.
      *     
      * All conditions, warranties and undertakings, express or implied, 
      * statutory or otherwise, on the part of Micro Focus are excluded, 
      * including without limitation those of merchantability or fitness  
      * for purpose. This shall not, however, purport to exclude or 
      * restrict the liability of Micro Focus to any extent not 
      * permitted by law.
      *
      * IN NO EVENT WILL MICRO FOCUS BE LIABLE FOR ANY INDIRECT, 
      * INCIDENTAL, SPECIAL, CONSEQUENTIAL OR OTHER DAMAGES ARISING OUT 
      * OF THE USE OF THE DEMONSTRATION PROGRAM DISTRIBUTED WITH THE 
      * SOFTWARE, WHETHER OR NOT INFORMED OF THE POSSIBILITIES OF 
      * DAMAGES IN ADVANCE.  THESE LIMITATIONS APPLY TO ALL CAUSES OF 
      * ACTION, INCLUDING BREACH OF CONTRACT, BREACH OF WARRANTY, STRICT
      * LIABILITY, AND ANY ACTIONS IN TORTS.
      ************************************************************************
      *
      * This file contains a list of constants for use by programs
      * which use the example account classes.
      *
      ************************************************************************

      * These constants represent the different types of bank account.
       78 checkType             value z"Check".
       78 savingsType           value z"Savings".
       78 highRateType          value z"High Rate".

      * Size of variables used by the account classes
       78 accNoLength           value 8.
       78 accNameLength         value 80.
       78 accBalanceLength      value 14.
       78 accTypeLength         value 10.
       78 accDisplayLength      value 100.

      * Exception numbers used by the account classes.

       78 debitOverdrawsAccount        value 3.
       78 debitExceedsOverdraft        value 2.
       78 insufficientFundsforAccount  value 1.
