      * Copyright (C) 2003 Micro Focus Ltd.
      *
      * All rights reserved. Unpublished, all rights reserved under
      * copyright law and international treaty. Use of a copyright
      * notice is precautionary only and does not imply publication or
      * disclosure.  This software contains confidential information
      * and trade secrets of Micro Focus International Ltd. and no part
      * of this program or publication may be reproduced, transmitted,
      * transcribed, stored in a retrieval system, or translated into
      * any language or computer language, in any form or by any
      * means, electronic, mechanical, magnetic, optical, chemical,
      * manual or otherwise, without the prior written permission of:
      *
      * Micro Focus Ltd,
      * The Lawn, 22-30 Old Bath Road, Newbury, Berkshire, RG14 1QN.
      * (01635) 32646
      *
      * RESTRICTED RIGHTS LEGEND
      * Use, duplication, or disclosure by the Government is subject
      * to restrictions as set forth in subparagraph (c)(1)(ii) of
      * the Rights in Technical Data and Computer Software clause at
      * DFARS 52.227-7013 or subparagraphs (c)(1) and (2) of
      * Commercial Computer Software - Restricted Rights at 48 CFR
      * 52.227-19, as applicable.  Contact Micro Focus International Ltd
      * 701 E. Middlefield Road, Mountain View, Calif. 94043.      * FSVIEWOP.CPY
      *
       01 FSVW-DATA-BLOCK.
      *Server Information
          03 FSVW-SERVER-NAME                PIC X(20).
          03 FSVW-SERVER-STARTUP             PIC X(20).
          03 FSVW-SERVER-USAGE               PIC X(4).
          03 FSVW-TRACE-ON                   PIC x COMP-X.
      *Log file Information
          03 FSVW-LOG-FILENAME               PIC X(255).
          03 FSVW-TIMINGS-TABLE redefines FSVW-LOG-FILENAME.
             05  FSVW-TIMING-FS              PIC x comp-x.
             05  FSVW-TIMING-RECEIVEALL      PIC x comp-x.
             05  FSVW-TIMING-QUERY           PIC x comp-x.
             05  FSVW-TIMING-COMMS-OTHER     PIC x comp-x.
             05  FSVW-TIMING-FH              PIC x comp-x.
             05  FSVW-TIMING-IO-CNT          PIC x(4) comp-x.

          03 FSVW-LOG-FILENAME-SIZE          PIC x(2) COMP-X.
          03 FSVW-LOG-FILESIZE               PIC X(16).
          03 FSVW-DISK-SPACE                 PIC X(16).
          03 FSVW-DISK-SIZE                  PIC X(16).
      *Database Information
          03 FSVW-DBASE-FILENAME-SIZE        PIC x(2) COMP-X.
          03 FSVW-DBASE-FILESIZE             PIC X(16).
      *Various flags
          03 FSVW-EXIT-FLG                   PIC 9.
             88 FSVW-EXIT-FLG-TRUE           VALUE 1.
          03 FSVW-FUNCTION                   PIC 9(2).
          03 FSVW-STATUS-KEY-1               PIC x(2) COMP-X.
          03 FSVW-STATUS-KEY-2               PIC x(2) COMP-X.
          03 FSVW-DATE-FORMAT                PIC X.
          03 FSVW-FSVIEW-USER-ID             PIC X(5).
      *Windows show flags
          03 FSVW-LOG-WIN-FLG                PIC 9.
             88 FSVW-LOG-WIN-FLG-TRUE        VALUE 1.
          03 FSVW-DBASE-WIN-FLG              PIC 9.
             88 FSVW-DBASE-WIN-FLG-TRUE      VALUE 1.
          03 FSVW-USER-WIN-FLG               PIC 9.
             88 FSVW-USER-WIN-FLG-TRUE       VALUE 1.
          03 FSVW-USER-FILE-WIN-FLG          PIC 9.
             88 FSVW-USER-FILE-WIN-FLG-TRUE  VALUE 1.
          03 FSVW-FILE-INFO-WIN-FLG          PIC 9.
             88 FSVW-FILE-INFO-WIN-FLG-TRUE  VALUE 1.
          03 FSVW-FILE-USER-WIN-FLG          PIC 9.
             88 FSVW-FILE-USER-WIN-FLG-TRUE  VALUE 1.
          03 FSVW-COMMS-WIN-FLG              PIC 9.
             88 FSVW-COMMS-WIN-FLG-TRUE      VALUE 1.
          03 FSVW-PASSWORD-WIN-FLG           PIC 9.
             88 FSVW-PASSWORD-WIN-FLG-TRUE   VALUE 1.
          03 FSVW-CHANGE-SRVR-WIN-FLG        PIC 9.
             88 FSVW-CHANGE-SRVR-WIN-FLG-TRUE VALUE 1.
          03 FSVW-LOGID-NEEDED-FLG           PIC 9.
             88 FSVW-LOGID-NEEDED-FLG-TRUE   VALUE 1.
          03 FSVW-COMMS-TOO-SMALL-FLG        PIC 9.
             88 FSVW-COMMS-TOO-SMALL-FLG-TRUE VALUE 1.
      *
          03 FSVW-INSERT-LIST-BOX.
             04 FSVW-INSERT-LIST-BOX-ITEM    OCCURS 10.
                05 FSVW-LIST-BOX-DATA        PIC X(255).
      *User details
          03 FSVW-NUMBER-OF-USERS            PIC 9(5).
          03 FSVW-PEAK-NUMBER-OF-USERS       PIC 9(5).
          03 FSVW-LOGOFF-ID                  PIC X(5).
          03 FSVW-FILE-LIST-USER-ID          PIC X(5).
          03 FSVW-EXTRACTED-USER-ID          PIC X(5).
      *
          03 FSVW-NUMBER-FILES-OPEN          PIC 9(10).
          03 FSVW-PEAK-FILES-OPEN            PIC 9(10).
      *various fs state flags
          03 FSVW-USER-NOT-FOUND-FLG         PIC 9.
             88 FSVW-USER-NOT-FOUND-FLG-TRUE VALUE 1.
          03 FSVW-INVALID-PASSWORD-FLG       PIC 9.
             88 FSVW-INVALID-PASSWORD-FLG-TRUE VALUE 1.
          03 FSVW-FILE-NOT-FOUND-FLG         PIC 9.
             88 FSVW-FILE-NOT-FOUND-FLG-TRUE VALUE 1.
          03 FSVW-NO-SERVER-FLG              PIC 9.
             88 FSVW-NO-SERVER-FLG-TRUE      VALUE 1.
          03 FSVW-SHUTDOWN-ALREADY-FLG       PIC 9.
             88 FSVW-SHUTDOWN-ALREADY-FLG-TRUE VALUE 1.
          03 FSVW-RENAME-ERROR-FLG           PIC 9.
             88 FSVW-RENAME-ERROR-FLG-TRUE   VALUE 1.
          03 FSVW-RENAME-CLASH               PIC 9.
             88 FSVW-RENAME-CLASH-TRUE       VALUE 1.
      *
          03 FSVW-COMMS-MODULE-LINE2         PIC X(42).
          03 FSVW-COMMS-MODULE-LINE1         PIC X(42).
          03 FSVW-SEND-FAILURES              PIC 9(10).
          03 FSVW-COMMS-BUSY                 PIC 9(10).
          03 FSVW-COMMS-TIMEOUTS             PIC 9(10).
      *misc
          03 FSVW-FILENAME                   PIC X(255).
          03 FSVW-START-PT                   PIC x(2) COMP-X.
          03 FSVW-USER-TBL-Z                 PIC x(2) COMP-X.
          03 FSVW-SERVER-ERROR-FLG           PIC 9.
             88 FSVW-SERVER-ERROR-FLG-TRUE   VALUE 1.
      *Password check data
          03 FSVW-SUPERVISOR-MODE            PIC 9.
             88 FSVW-SUPERVISOR-MODE-TRUE    VALUE 1.
          03 FSVW-PASSWORD                   PIC X(20).
          03 FSVW-TITLE                      PIC X(255).
          03 FSVW-HELP-TOPIC                 PIC 9(2).
          03 FSVW-USER-ID                    PIC X(20).
          03 FSVW-USER-PASSWORD              PIC X(20).
          03 FSVW-VERSION                    PIC X(8).

      *****************************************************************
      *   End of Data Block
      *****************************************************************
